### Name: PermutationDistribution
### Title: Permutation Distribution of Conditional Independence Tests
### Aliases: pperm pperm-methods pperm,NullDistribution-method
###   pperm,IndependenceTest-method pperm,ScalarIndependenceTest-method
###   pperm,MaxTypeIndependenceTest-method
###   pperm,QuadTypeIndependenceTest-method qperm qperm-methods
###   qperm,NullDistribution-method qperm,IndependenceTest-method
###   qperm,ScalarIndependenceTest-method
###   qperm,MaxTypeIndependenceTest-method
###   qperm,QuadTypeIndependenceTest-method dperm dperm-methods
###   dperm,NullDistribution-method dperm,IndependenceTest-method
###   dperm,ScalarIndependenceTest-method
###   dperm,MaxTypeIndependenceTest-method
###   dperm,QuadTypeIndependenceTest-method support support-methods
###   support,NullDistribution-method support,IndependenceTest-method
###   support,ScalarIndependenceTest-method
###   support,MaxTypeIndependenceTest-method
###   support,QuadTypeIndependenceTest-method
### Keywords: methods htest

### ** Examples


### artificial 2-sample problem
df <- data.frame(y = rnorm(20), x = gl(2, 10))

### Ansari-Bradley test
at <- ansari_test(y ~ x, data = df, distribution = "exact")

### density of the exact distribution of the Ansari-Bradley statistic
dens <- sapply(support(at), dperm, object = at)

### plot density
plot(support(at), dens, type = "s")

### 95% quantile
qperm(at, 0.95)

### one-sided p-value
pperm(at, statistic(at))




